classdef PulseStreamer_Dummy < PulseStreamer.PulseStreamer
    %PULSESTREAMERDUMMY PulseStreamer class without hardware
    %connectivity
    
    methods
        function obj = PulseStreamer_Dummy(ip)
            %PULSESTREAMERDUMMY PulseStreamer class without hardware
            %connectivity
            %   
            
            warning('off','backtrace');
            warning('PulseStreamer_Dummy:')
            if exist('ip', 'var')
                warning('    - Will NOT try to connect to IP:%s', ip);
            end
            warning('    - Hardware connectivity intentionally disabled.');
            warning('    - Use only for offline sequence design.');
            warning('    - With real hardware use "PulseStreamer" class instead!')
            warning('on','backtrace');
            obj@PulseStreamer.PulseStreamer('dummy');
        end
    end
    
    methods (Access = {?PulseStreamer.PulseStreamer})
        
        function ret = httpRequest(obj, req)
            warning('off','backtrace');
            warning(strcat('PulseStreamer_Dummy: Communication with hardware is disabled!\n', ...
                           'REQ:\n', ...
                           '    %s\n'), req);
            warning('on','backtrace');
            ret = '{"jsonrpc":"2.0","id":1,"result":0}';
        end
        
        function checkFirmwareCompatibility(obj)
           % Dummy has no connection to the hardware so we cannot check
           % firmware compatibility.
        end
        
    end
    
end

