function TF = versionCheck(ver_min, ver_curr, ver_max)
% Checks if version is in the given range
% Returns true if ver_min <= ver_curr < ver_max

if ischar(ver_max)
    ver_max = versionStringToVector(ver_max);
end
if ischar(ver_curr)
    ver_curr = versionStringToVector(ver_curr);
end
if ischar(ver_min)
    ver_min = versionStringToVector(ver_min);
end

ver_cmp = ver_min(:) <= ver_curr(:) & ver_curr(:) < ver_max(:);

for v = ver_cmp
   if v == false
       TF = false;
       return;
   end
end
TF = true;
end

function ver_num = versionStringToVector(ver_str)
    ver_num = zeros(1,3);
    ver = cellfun(@str2double, split(ver_str, '.'));
    n = numel(ver);
    ver_num(1:n) = ver;
end