function version_str = client_version()
%CLIENT_VERSION Returns version of the PulseStreamer client for MATLAB
% Version is stored in the toolbox root folder in the file
% "CLIENT_VERSION".

[path, ~, ~] = fileparts(mfilename('fullpath'));

try
    % There must be a file called PKG_VERSION containing only the version
    % number in a single line. No comments or additional text is allowed.
    fid = fopen(fullfile(path, 'CLIENT_VERSION'));
    version_str = strip(fgetl(fid));
    fclose(fid);
catch ME
    rethrow(ME);
end

end

